import { TaonBaseController, Taon__NS__Response, Taon__NS__ResponseHtml } from 'taon/lib-prod';
import { CoreModels__NS__BuildType } from 'tnp-core/lib-prod';
import { DevMode__NS__BuildStatusInfo, DevMode__NS__ProjectBuildNotificaiton, DevMode__NS__ProjectBuildStatus } from '../dev-mode/dev-mode.models';
import { DevBuildRepository } from './dev-build.repository';
export declare class DevBuildController extends TaonBaseController {
    devBuildRepository: DevBuildRepository;
    info(): Taon__NS__ResponseHtml;
    getAllData(): Taon__NS__Response<{}>;
    getStatusInfo(): Taon__NS__Response<DevMode__NS__BuildStatusInfo>;
    getProjectInfo(): Taon__NS__Response<DevMode__NS__ProjectBuildNotificaiton>;
    healthCheck(): Taon__NS__Response<boolean>;
    unlockLeaderQueue(buildType: CoreModels__NS__BuildType): Taon__NS__Response<boolean>;
    setLeadBuildDirtyIfRunning(): Taon__NS__Response<boolean>;
    displayRebuildDoneMessage(startedBy: string): Taon__NS__Response<boolean>;
    updateTaonBuildStatus(buildType: CoreModels__NS__BuildType, status: DevMode__NS__ProjectBuildStatus, leaderPort?: number | string): Taon__NS__Response<DevMode__NS__BuildStatusInfo>;
}
